QGIS Application - Bug report #1613
Attribut table sorting doesn't work properly with postgis layers
2009-04-02 05:34 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11673
Description

Sorting an attribute table of a postgis layer doesn't work properly.

1. load an postgis layer
2. open the attribute table
3. try to sort a column

some columns sort properly, some will not sort at all, an some will show an error in every field
of the table.

It seems, that the behaviour depends on the postion of the column relativ to geometry column. If the column to sort is before the geometry
column it works as expected, if it is after the geometry the column will not be sorted. If it is the column right after the geometry, all fields of
the table will show an error.

Associated revisions

Revision 78275488 - 2009-04-02 02:52 PM - Jiirgen Fischer

fix #1613

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10455 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e1d95274 - 2009-04-02 02:52 PM - Jiirgen Fischer

fix #1613

git-svn-id: http://svn.osgeo.org/qgis/trunk@10455 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-04-02 05:52 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:e1d95274 (SVN r10456)

#2 - 2009-04-02 06:01 AM - cmoe -
http://svn.osgeo.org/qgis/trunk/qgis@10455
http://svn.osgeo.org/qgis/trunk@10455

Replying to [comment:1 jef]:

fixed in commit:e1d95274 (SVN r10456)

Hi Juergen

less then 20 minutes for the fix, | guess it's a new (qgis/world-)record! Many thanks for the quick fix!

regards/Griisse aus Solothurn

Cédric und Horst und der Rest der Truppe

#3 - 2009-08-22 01:03 AM - Anonymous

Milestone Version 1.1.0 deleted
